### Method

# Gegl Color get_hsla

#### Declaration [src]

    void
    gegl_color_get_hsla (
      GeglColor* color,
      gdouble* hue,
      gdouble* saturation,
      gdouble* lightness,
      gdouble* alpha,
      const Babl* space
    )

#### Description [src]

Retrieves the current set color stored as `space`. If `space` is `NULL`, this is equivalent to requesting color in the default sRGB space.

#### Parameters

`hue`

  Type: `gdouble*`

  Hue return location.

  The argument will be set by the function.

`saturation`

  Type: `gdouble*`

  Saturation return location.

  The argument will be set by the function.

`lightness`

  Type: `gdouble*`

  Value return location.

  The argument will be set by the function.

`alpha`

  Type: `gdouble*`

  Alpha return location.

  The argument will be set by the function.

`space`

  Type: `Babl`

  RGB space.

  The argument can be `NULL`.
  The data is owned by the caller of the method.